{"openapi":"3.0.0","info":{"title":"Team Manager API","version":"7.0.1","contact":{"name":"D4H Support","url":"https://help.d4h.com/","email":"help@d4h.com"},"description":"# Introduction\n\nWelcome to the D4H Team Manager REST API, a RESTful API that allows you to access Team Manager data and services. Our API is designed to enable seamless integration with your own applications, websites, and other tools.\n\nWith the REST API, you can perform most of the activities available from the Team Manager application, such as managing personel, equipment, exercises, updating their data, etc.\n\n**Notice: the D4H Team Manager REST API is not yet feature complete, future updates will increase functionality but please let us know if something you need is missing and we can try to prioritise it**\n\n## Getting Authenticated\n\nD4H Team Manager's API uses token-based authentication. There are two types of tokens:\n\n- **Personal Access Tokens**. These are used when developing an integration for yourself or for your organization. They have the convenience of being long-lived tokens, and they can be easily generated from the Unified Accounts web UI. Personal Access Tokens should only be used in applications that don't require the ability to authenticate multiple users. If your application needs to be able to support multiple users, then your application should use OAuth to obtain Standard UA Tokens.\n\nAll token types are accepted by the REST API and should be provided in the HTTP request Authorization header:\n\n```text\nAuthorization: Bearer <token>\n```\n\n### Generating a Personal Access Token\n\nYour account must be migrated to Unified Accounts authentication to be able to use the Personal Access Tokens. Also, your Team or Organisation must enable Personal Access Tokens in their settings under _API Access_.\n\nThese can be created under _Manage Personal Access Tokens_:\n\n![The \"Manage Tokens\" Page in D4H Unified Accounts](public/docs/screenshot-my-account.jpg)\n\n1. In the page you can manage existing tokens or create a new one under the “Create Token” link.\n\n2. Make sure “Team Manager” is checked under the “Products access” section so you’re able to use these tokens in the D4H Team Manager REST API.\n\nFinally, after pressing “Next”, the token will be displayed. The token is not saved by D4H, so lost tokens are not recoverable.\n\nThe JWT token should then be used on the HTTP Request Authorization headers.\n\nPlease contact D4H support if you have any problems accessing or activating your Unified Account.\n\n## Making Requests\n\nIf you are completely unfamiliar with making REST API requests, a good first step would be trying\nsome simple requests using a terminal / command-line application called `curl`. This is installed by\ndefault on newer MacOs and Windows versions, but can be installed manually on older ones.\n\n### Your First Request\n\nAfter getting an access token of some kind, open your terminal / command line and try the following command (after\nmodifying it to replace `YOUR_ACCESS_TOKEN` with your token):\n\n```bash\ncurl -X GET -H \"Authorization: Bearer YOUR_ACCESS_TOKEN\" -o d4h-api-whoami-response.json https://api.team-manager.us.d4h.com/v3/whoami\n```\n\nThis will make a `GET` request to the `whoami` endpoint, which if successful will return a JSON\nresponse similar to that shown [here](#tag/Accounts-Credentials/paths/~1v3~1whoami/get). This will\nbe stored in `d4h-api-whoami-response.json` in the directory from which the command is run.\n\n### Request Contexts\n\nWithin the `whoami` response, you will find arrays of `members` and `officers` objects. Each of\nthese essentially represents a team-membership or organisation-officership which your token allows requests to be performed as.\n\nEach member or officer object will have an `owner` object within, this being a representation the team or organisation itself. Each `owner` will have an `id`, and this is their _context-identifier_.\n\nHere is a part of an example response from `whoami`\n\n```json\n{\n  \"members\": [\n    {\n      \"id\": 1,\n      \"owner\":\n      {\n        \"resourceType\": \"Team\",\n        \"id\": 600,\n        \"title\": \"Team Y\",\n      },\n      \"name\": \"Member X\",\n      \"hasAccess\": true,\n      \"resourceType\": \"Member\",\n    },\n  ]\n}\n```\n\nIn the Team Manager API most requests are made within a specific _context_, this can be thought of\nthe point-of-view from which a request is made. A request's context is included in the URL.\nBased on the above example, the _context_ is `team` and the _context-identifier_  is `600`. Hence, an example request\nurl would be `https://api.team-manager.us.d4h.com/v3/team/600/whiteboard`.\n\nThe two contexts that would apply for most\nusers are `team` and `organisation`, and these would be followed in the URL by the id of the team or\norganisation.\n\nSee the [General URL Structure](#section/Introduction/General-URL-Structure) for further information on contexts and what each part of the URL means.\n\n### Creating Data\n\nThe following command is slightly more complex:\n\n```bash\ncurl -X POST -H \"Content-Type: application/json\" -H \"Authorization: Bearer YOUR_ACCESS_TOKEN\" -d \"{ \\\"text\\\": \\\"I wrote this via the API\\\", \\\"important\\\": true }\" -o d4h-api-post-response.json https://api.team-manager.us.d4h.com/v3/YOUR_CONTEXT/YOUR_CONTEXT_ID_FROM_WHOAMI/whiteboard\n```\n\nIt will make a `POST` type request, which is usually used for the _creation_ of data. It will use the JSON\nyou provide via the `-d` flag in the command. The API will take whatever is after `-d` and try to\nuse it to create a resource. Your ability to create resources will be determined by your\npermissions, which are viewable in the data returned from the `whoami` request.\n\nThis command should create a whiteboard note (if you have that module turned on), that is marked as\nimportant and has the text contained in the JSON.\n\n### Alternative API clients\n\nIf you are not comfortable with the command line, or just want making requests to be more\nconvenient, there are many (many) varied GUI-based REST API clients. Some examples at\nthe time of writing:\n\n- [Bruno](https://docs.usebruno.com/)\n- [Httpie](https://httpie.io/desktop)\n- [Insomnia](https://insomnia.rest/)\n- [Postman](https://www.postman.com/)\n\n## General URL Structure\n\nConsider the following example URL template:\n\n```text\n[verb] https://api.team-manager.us.d4h.com/[version]/[context]/[context-identifier]/[resource]/[resource-identifier]?[query-params]\n```\n\nAn example would be:\n\n```text\nGET https://api.team-manager.us.d4h.com/v3/team/1/incidents/234?size=100&search=angry%20clown\n```\n\nAs a general rule, looking to the verb, the URL should indicate what the API endpoint does.\n\n- `version` should be increased on breaking changes\n- `context` represents the context the request is being made under, currently only `team` or `organisations`\n  - `context-identifier` represents an unique identifier for the context\n- `resource` represents the entity domain relative to the context\n  - `resource-identifier` represents an unique identifier for the resource\n- `query-params` represent contextual data attributes that don't change the resource domain.\n  - They can be used for:\n    - search\n    - pagination / ordering / sorting\n    - a team-context request wishing to include/exclude organisation-context resources from results\n    - etc...\n\n### Contexts\n\nContexts are not a resource, but a point-of-view from which a request is made. There is an implicit `team`-`organisation` relationship that is not obvious from the url, but should be borne in mind. A `team` generally has access to its own data, but also _some_ data of its parent `organisation`. An `organisation` has access to its own data, but also _some_ of its multiple sub-`team`s. The data shared can vary by `resource`-type.\n\nTherefore, the `team` context in a request means: the data owned by this team and that implicitly shared by its associated `organisation` if any.\n\nCorrespondingly, the `organisation` context in a request means: the data owned by this organisation and that which is implicitly shared by its associated `team`s.\n\n#### Context-Entity Endpoints\n\nSince `team` and `organisation` are used in the URL structure to designate the context, their plural form can appear again in the same URL to request data about the entities themselves.\n\n- `/v3/team/123/teams/123` - returning data about the team `123`\n- `/v3/team/123/teams/456` - returning data about a sibling team `456`\n- `/v3/team/123/organisations/789` - returning data about a team's parent organisation\n- `/v3/organisation/789/organisations/789` - returning data about the organisation itself\n- `/v3/organisation/789/teams/123` - returning data about one of the organisation's child teams\n\nAs for any other endpoint, the data returned will be as from the point-of-view specified by the context.\n\n#### Requesting or filtering data from multiple contexts\n\nIt may be desirable to retrieve resources from multiple contexts in one request, or exclude data from the\nimplicit team/organisation relationship. In these cases specific query parameters (`exclude_org_data`, `exclude_teams_data`)\nare to be used as modifiers to indicate intent\n\n- `/v3/team/123/equipment-brands` - team-owned and org-owned\n- `/v3/team/123/equipment-brands?exclude_org_data=true` - team-owned only\n- `/v3/organisation/123/equipment-brands` org-owned and sub-team-owned\n- `/v3/organisation/123/equipment-brands?exclude_teams_data=true` org-owned only\n\nThese modifiers should be available on every appropriate `GET` route and also apply\nto functional `GET` endpoints\n\n\"Sibling\" teams' data must be requested separately\n\n## Resource Ownership\n\nIn responses resource ownership is represented\nas an `owner` object which includes the owner id and its resource type.\n\n```json\n{\n \"owner\": {\n    \"id\": 1,\n    \"resourceType\": \"Team\"\n  }\n}\n```\n\n## Resource / Entity Bundles\n\n\"Bundling\" varies between resource types. The existing bundles based around string names is deprecated, and the goal is to eventually move all bundles over to resource-bundle endpoint.\nBut, in the meantime, bundle string properties will be named `deprecatedBundle`, reserving the `bundle` / `resourceBundle` property name for\na resource-bundle object in the future. `deprecated` should be included in both the payload and response keys.\n\n```json\n{\n  \"bundle\": {\n    \"id\": 1,\n    \"resourceType\": \"ResourceBundle\"\n  }\n}\n```\n\n## Member Addresses\n\nThe members endpoints currently return and accept a `deprecatedAddress` string to represent a member's address. This is to allow us to add an `address` object in the future\nwith individual `street`, `postcode`, etc properties without breaking backwards-compatability.\n\n## Enums\n\nEnums are always case-sensitive strings. Specifically:\n\n- Enums in query parameters, payloads, and responses are always in `SCREAMING_SNAKE_CASE`.\n- Context enums in urls (and urls in general) are always in `kebab-case`.\n- Resource type enums anywhere are always in `PascalCase`.\n\nExplanations for their meaning and use should be provided in either the validation description, or in a preface paragraph for the endpoint as a whole\n\n## Validation\n\nRequest parameters, queries and payloads will be validated against strict schemas as per the API endpoint reference below. Validation failure will generate meaningful 400 HTTP errors that will include all violations when possible.\n\nSupplying additional keys not defined in an endpoint schema is forbidden and will also result in 400 errors.\n\n### Important Remarks\n\n#### Sanitization\n\nStrings are not to be sanitized beyond what is needed for the API itself. It is up to the client to sanitize api responses for its own uses.\n\n#### Date Format\n\nDates should be on the wire as ISO 8601 strings (`\"1975-08-19T23:15:30.000Z\"`). Team Manager stores all date-times as UTC so received\ndate-times will be saved as that, and responses will be returned as UTC ISO 8601 strings.\n\n#### Value Conversion\n\nThe API will do no conversion of values, which will be stored in the lowest precision required using the metric system. This includes currency, which will be stored in the lowest denomination. It's up to clients to use the context's settings to determine how to display each value.\n\n#### Location data\n\nResponses will format location data as per the GeoJSON format for \"Point\" (see spec [here](https://geojson.readthedocs.io/en/latest/#point))\n\n```json\n{\n  \"location\": {\n    \"type\": \"Point\",\n    \"coordinates\": [0.0, 0.0]\n  }\n}\n```\n\n## Request Limits\n\nIf you're requesting **very** frequently, a slowdown will be applied to your requests in a sliding time window.\nIf the limit is `X` requests per minute, and your request frequency goes over this, an additional\n`Y` milliseconds will be added **cumulativly per request** to the response time of each subsequent request until your request rate falls back below `X` per minute.\n\nIf your request frequency reaches a further limit, you will receive only an error response with the [429 http status code](https://developer.mozilla.org/en-US/docs/Web/HTTP/Status/429).\n\nWe reserve the right to adjust the limits, but you should never run into them during normal use. If you have a use case requiring an increased limit, please contact support.\n\n### Response Headers\n\nIf your requests are subject to rate limiting each response will have additional headers that conform to [the seventh draft of the IETF rate limit header specification](https://datatracker.ietf.org/doc/html/draft-ietf-httpapi-ratelimit-headers-07).\n\nThis amounts to the following additional headers:\n\n- `ratelimit-policy`\n  - example value: `200;w=300`\n  - 200 requests within a 300 second window\n- `ratelimit`\n  - example value: `limit=200, remaining=199, reset=300`\n  - the limit is `200`, you have `199` left in the current timeframe, and it will reset after `300` seconds\n\nThese headers refer to limit of requests before you start receiving 429 errors. Request slowdown will happen before these limits are exceeded.\n\n## Error Handling\n\nD4H Team Manager REST API uses a common data contract for returnings error (HTTP 4xx and 5xx) responses - `statusCode` represents the HTTP code. `code` is a machine readable error. `message` is a user focused error message. An optional `data` property contains additional details, for example validation errors.\n\n### Specific Errors\n\n#### HTTP 429\n\n[429 http status code](https://developer.mozilla.org/en-US/docs/Web/HTTP/Status/429) - See [Request Limits](#request-limits) for details\n","x-logo":{"url":"public/img/d4h-logo-transparent.png","altText":"D4H logo","backgroundColor":"#00000000"}},"servers":[{"url":"https://api.team-manager.us.d4h.com"}],"paths":{"/v3/healthcheck":{"get":{"summary":"Retrieve a Healthcheck response","description":"Retrieve a Healthcheck response ","parameters":[],"responses":{"200":{"description":"A simple healthcheck","content":{"application/json":{"example":{"server":"ok","version":"7.0.1","database":"ok"}}}}},"tags":["Healthcheck"]}},"/v3/whoami":{"get":{"summary":"Retrieve credential access for all available contexts","description":"Retrieve credential access for all available contexts ","parameters":[],"security":[{"Unified":[]}],"responses":{"200":{"description":"Access details of credentials for all available contexts","content":{"application/json":{"example":{"account":{"id":1,"resourceType":"Account"},"members":[{"id":1,"owner":{"resourceType":"Team","id":1,"title":"Team Y","owner":{"id":4,"resourceType":"Organisation"}},"name":"Member X","hasAccess":true,"resourceType":"Member","permissions":{"Animal":{"READ":false,"CREATE":false,"DELETE":false,"EXPORT":false,"UPDATE":false},"Handler":{"READ":false,"CREATE":false,"DELETE":false,"EXPORT":false,"UPDATE":false},"AnimalGroup":{"DELETE":true,"READ":true,"CREATE":true,"UPDATE":true,"EXPORT":false},"AnimalQualification":{"CREATE":false,"DELETE":true,"EXPORT":true,"READ":true,"UPDATE":true},"AnimalQualificationAward":{"CREATE":false,"DELETE":false,"EXPORT":false,"READ":false,"UPDATE":false},"ActivityAttendance":{"CREATE":false,"DELETE":false,"READ":false,"UPDATE":false,"UPDATEOWN":true},"Audit":{"CREATE":false,"DELETE":false,"READ":false},"BillingUnit":{"DELETE":false,"READ":false,"CREATE":false,"UPDATE":false,"EXPORT":false},"CustomerIdentifier":{"CREATE":false,"DELETE":false,"EXPORT":false,"READ":false,"UPDATE":false},"Division":{"CREATE":true,"DEFAULT_ACCESS":true,"DELETE":true,"READ":true},"Document":{"CREATE_SECURE":false,"CREATE":false,"DELETE_SECURE":false,"DELETE":false,"DOWNLOAD_SECURE":false,"DOWNLOAD":false,"EXPORT_SECURE":false,"EXPORT":false,"READ_SECURE":false,"READ":true,"UPDATE_SECURE":false,"UPDATE":false},"Duty":{"CREATE":false,"DELETE":false,"EXPORT":false,"READ":false,"UPDATE":false},"EntityToCustomField":{"UPDATE":false},"Equipment":{"CREATE_CUSTOM_FIELDS":false,"CREATE":true,"DELETE_CUSTOM_FIELDS":false,"DELETE":true,"EXPORT":true,"READ_SECURE":false,"READ":true,"RETIRE":true,"UPDATE_CUSTOM_FIELDS":false,"UPDATE_COSTING":false,"UPDATE_SECURE":false,"UPDATE":true,"UPDATE_STATUS":true},"EquipmentInspection":{"CREATE":true,"DELETE":true,"EXPORT":true,"READ":true,"UPDATE":true},"EquipmentInspectionResult":{"CREATE":true,"DELETE":true,"DELETE_LIMITED":true,"EXPORT":true,"READ":true,"UPDATE":true,"UPDATE_RESULT":true},"EquipmentLocation":{"CREATE":false,"DELETE":false,"EXPORT":false,"READ":false,"UPDATE":false},"Event":{"ARCHIVED":false,"CREATE":false,"CREATE_CUSTOM_FIELDS":false,"CREATE_SECURE":false,"DELETE":false,"DELETE_CUSTOM_FIELDS":false,"DRAFT":false,"EXPORT":false,"READ_SECURE":false,"READ":true,"UPDATE":false,"UPDATE_CUSTOM_FIELDS":false,"UPDATE_SECURE":false},"Exercise":{"ARCHIVED":false,"CREATE":false,"CREATE_CUSTOM_FIELDS":false,"CREATE_SECURE":false,"DELETE":false,"DELETE_CUSTOM_FIELDS":false,"DRAFT":false,"EXPORT":false,"READ_SECURE":false,"READ":true,"UPDATE":false,"UPDATE_CUSTOM_FIELDS":false,"UPDATE_SECURE":false},"HandlerGroup":{"DELETE":true,"READ":true,"CREATE":true,"UPDATE":true,"EXPORT":false},"HandlerQualification":{"CREATE":false,"DELETE":true,"EXPORT":true,"READ":true,"UPDATE":true},"HandlerQualificationAward":{"CREATE":false,"DELETE":false,"EXPORT":false,"READ":false,"UPDATE":false},"HealthSafetyCategory":{"CREATE":false,"DELETE":false,"EXPORT":false,"READ":false,"UPDATE":false},"HealthSafetyReport":{"APPROVE":false,"CREATE_SECURE":false,"CREATE":false,"DELETE":false,"EXPORT":false,"READ_SECURE":false,"READ":false,"UPDATE_SECURE":false,"UPDATE":false},"HealthSafetySeverity":{"CREATE":false,"DELETE":false,"EXPORT":false,"READ":false,"UPDATE":false},"Incident":{"ARCHIVED":false,"CREATE":false,"CREATE_CUSTOM_FIELDS":false,"CREATE_SECURE":false,"DELETE":false,"DELETE_CUSTOM_FIELDS":false,"DRAFT":false,"EXPORT":false,"READ_SECURE":false,"READ":true,"UPDATE":false,"UPDATE_CUSTOM_FIELDS":false,"UPDATE_SECURE":false},"LocationBookmark":{"CREATE":false,"DELETE":false,"EXPORT":false,"READ":false,"UPDATE":false},"Member":{"CREATE_CUSTOM_FIELDS":false,"CREATE_SECURE":false,"CREATE":false,"DELETE_CUSTOM_FIELDS":false,"DELETE":false,"EXPORT":false,"READ_SECURE":false,"READ":true,"RETIRE":true,"UPDATE_COSTING":false,"UPDATE_CUSTOM_FIELDS":false,"UPDATE_SECURE":false,"UPDATE":false,"UPDATEOWN":false},"MemberCustomStatus":{"DELETE":true,"READ":true,"CREATE":true,"UPDATE":true},"MemberGroup":{"DELETE":true,"READ":true,"CREATE":true,"UPDATE":true,"EXPORT":false},"MemberQualification":{"CREATE":false,"DELETE":true,"EXPORT":true,"READ":true,"UPDATE":true},"MemberQualificationAward":{"ARCHIVED":false,"CREATE":false,"DELETE":false,"EXPORT":false,"READ":false,"UPDATE":false},"OfficerPermissionProfile":{"CREATE":false,"DELETE":true,"EXPORT":true,"READ":true,"UPDATE":true},"PermissionProfile":{"CREATE":false,"DELETE":true,"EXPORT":true,"READ":true,"UPDATE":true},"PersonInvolved":{"CREATE_CUSTOM_FIELDS":false,"CREATE_SECURE":false,"CREATE":false,"DELETE_CUSTOM_FIELDS":false,"DELETE":false,"EXPORT":false,"READ_SECURE":false,"READ":false,"UPDATE_CUSTOM_FIELDS":false,"UPDATE_SECURE":false,"UPDATE":false},"Repair":{"ASSIGN_UNASSIGNED":false,"CREATE":true,"DELETE":true,"EXPORT":false,"READ":true,"UPDATE":true,"UPDATEOWN":false},"Resource":{"CREATE":false,"DELETE":false,"EXPORT":false,"READ":false,"UPDATE":false},"Role":{"CREATE":false,"DELETE":true,"EXPORT":false,"READ":true,"UPDATE":true},"Setting":{"CREATE":false,"DELETE":false,"EXPORT":false,"READ":true,"UPDATE":true},"Tag":{"CREATE":false,"DELETE":false,"EXPORT":false,"READ":false,"UPDATE":false},"Task":{"CREATE":true,"DELETE":true,"EXPORT":false,"READ":true,"UPDATE":true},"TaskAssignment":{"CREATE":true,"DELETE":true,"EXPORT":false,"READ":true,"UPDATE":true},"Team":{"CREATE_CUSTOM_FIELDS":false,"CREATE_SECURE":false,"DELETE":false,"DELETE_CUSTOM_FIELDS":false,"EXPORT":false,"READ_SECURE":false,"READ":true,"UPDATE":false,"UPDATE_CUSTOM_FIELDS":false,"UPDATE_SECURE":false},"Whiteboard":{"ARCHIVED":false,"CREATE":false,"DELETE":false,"EXPORT":false,"READ":false,"UPDATE":false,"UPDATEOWN":false}}}],"officers":[{"id":1,"owner":{"resourceType":"Organisation","id":1,"title":"Org Z"},"name":"Officer X","hasAccess":true,"resourceType":"Officer","permissions":{"Animal":{"READ":false,"CREATE":false,"DELETE":false,"EXPORT":false,"UPDATE":false},"Handler":{"READ":false,"CREATE":false,"DELETE":false,"EXPORT":false,"UPDATE":false},"AnimalGroup":{"DELETE":true,"READ":true,"CREATE":true,"UPDATE":true,"EXPORT":false},"AnimalQualification":{"CREATE":false,"DELETE":true,"EXPORT":true,"READ":true,"UPDATE":true},"AnimalQualificationAward":{"CREATE":false,"DELETE":false,"EXPORT":false,"READ":false,"UPDATE":false},"ActivityAttendance":{"CREATE":false,"DELETE":false,"READ":true,"UPDATE":false,"UPDATEOWN":false},"Audit":{"CREATE":false,"DELETE":false,"READ":false},"BillingUnit":{"DELETE":false,"READ":false,"CREATE":false,"UPDATE":false,"EXPORT":false},"CustomerIdentifier":{"CREATE":false,"DELETE":false,"EXPORT":false,"READ":false,"UPDATE":false},"Division":{"CREATE":true,"DEFAULT_ACCESS":true,"DELETE":true,"READ":true},"Document":{"CREATE_SECURE":false,"CREATE":false,"DELETE_SECURE":false,"DELETE":false,"DOWNLOAD_SECURE":false,"DOWNLOAD":false,"EXPORT_SECURE":false,"EXPORT":false,"READ_SECURE":false,"READ":true,"UPDATE_SECURE":false,"UPDATE":false},"Duty":{"CREATE":false,"DELETE":false,"EXPORT":false,"READ":false,"UPDATE":false},"EntityToCustomField":{"UPDATE":false},"Equipment":{"CREATE_CUSTOM_FIELDS":false,"CREATE":true,"DELETE_CUSTOM_FIELDS":false,"DELETE":true,"EXPORT":true,"READ_SECURE":false,"READ":true,"RETIRE":true,"UPDATE_CUSTOM_FIELDS":false,"UPDATE_SECURE":false,"UPDATE":true},"EquipmentInspection":{"CREATE":true,"DELETE":true,"EXPORT":true,"READ":true,"UPDATE":true},"EquipmentInspectionResult":{"CREATE":true,"DELETE":true,"DELETE_LIMITED":true,"EXPORT":true,"READ":true,"UPDATE":true,"UPDATE_RESULT":true},"EquipmentLocation":{"CREATE":false,"DELETE":false,"EXPORT":false,"READ":false,"UPDATE":false},"Event":{"ARCHIVED":false,"CREATE":false,"CREATE_CUSTOM_FIELDS":false,"CREATE_SECURE":false,"DELETE":false,"DELETE_CUSTOM_FIELDS":false,"DRAFT":false,"EXPORT":false,"READ_SECURE":false,"READ":true,"UPDATE":false,"UPDATE_CUSTOM_FIELDS":false,"UPDATE_SECURE":false},"Exercise":{"ARCHIVED":false,"CREATE":false,"CREATE_CUSTOM_FIELDS":false,"CREATE_SECURE":false,"DELETE":false,"DELETE_CUSTOM_FIELDS":false,"DRAFT":false,"EXPORT":false,"READ_SECURE":false,"READ":true,"UPDATE":false,"UPDATE_CUSTOM_FIELDS":false,"UPDATE_SECURE":false},"HandlerGroup":{"DELETE":true,"READ":true,"CREATE":true,"UPDATE":true,"EXPORT":false},"HandlerQualification":{"CREATE":false,"DELETE":true,"EXPORT":true,"READ":true,"UPDATE":true},"HandlerQualificationAward":{"CREATE":false,"DELETE":false,"EXPORT":false,"READ":false,"UPDATE":false},"HealthSafetyCategory":{"CREATE":false,"DELETE":false,"EXPORT":false,"READ":false,"UPDATE":false},"HealthSafetyReport":{"APPROVE":false,"CREATE_SECURE":false,"CREATE":false,"DELETE":false,"EXPORT":false,"READ_SECURE":false,"READ":false,"UPDATE_SECURE":false,"UPDATE":false},"HealthSafetySeverity":{"CREATE":false,"DELETE":false,"EXPORT":false,"READ":false,"UPDATE":false},"Incident":{"ARCHIVED":false,"CREATE":false,"CREATE_CUSTOM_FIELDS":false,"CREATE_SECURE":false,"DELETE":false,"DELETE_CUSTOM_FIELDS":false,"DRAFT":false,"EXPORT":false,"READ_SECURE":false,"READ":true,"UPDATE":false,"UPDATE_CUSTOM_FIELDS":false,"UPDATE_SECURE":false},"LocationBookmark":{"CREATE":false,"DELETE":false,"EXPORT":false,"READ":false,"UPDATE":false},"Member":{"CREATE_CUSTOM_FIELDS":false,"CREATE_SECURE":false,"CREATE":false,"DELETE_CUSTOM_FIELDS":false,"DELETE":false,"EXPORT":false,"READ_SECURE":false,"READ":true,"RETIRE":true,"UPDATE_CUSTOM_FIELDS":false,"UPDATE_SECURE":false,"UPDATE":false,"UPDATEOWN":false},"MemberCustomStatus":{"DELETE":true,"READ":true,"CREATE":true,"UPDATE":true},"MemberGroup":{"DELETE":true,"READ":true,"CREATE":true,"UPDATE":true,"EXPORT":false},"MemberQualification":{"CREATE":false,"DELETE":true,"EXPORT":true,"READ":true,"UPDATE":true},"MemberQualificationAward":{"ARCHIVED":false,"CREATE":false,"DELETE":false,"EXPORT":false,"READ":false,"UPDATE":false},"Officer":{"CREATE":false,"DELETE":false,"EXPORT":false,"READ":true,"UPDATE":false,"UPDATEOWN":false},"OfficerPermissionProfile":{"CREATE":false,"DELETE":true,"EXPORT":true,"READ":true,"UPDATE":true},"PermissionProfile":{"CREATE":false,"DELETE":true,"EXPORT":true,"READ":true,"UPDATE":true},"PersonInvolved":{"CREATE_CUSTOM_FIELDS":false,"CREATE_SECURE":false,"CREATE":false,"DELETE_CUSTOM_FIELDS":false,"DELETE":false,"EXPORT":false,"READ_SECURE":false,"READ":false,"UPDATE_CUSTOM_FIELDS":false,"UPDATE_SECURE":false,"UPDATE":false},"Repair":{"ASSIGN_UNASSIGNED":false,"CREATE":true,"DELETE":true,"EXPORT":false,"READ":true,"UPDATE":true,"UPDATEOWN":false},"Resource":{"CREATE":false,"DELETE":false,"EXPORT":false,"READ":false,"UPDATE":false},"Role":{"CREATE":false,"DELETE":true,"EXPORT":false,"READ":true,"UPDATE":true},"Setting":{"CREATE":false,"DELETE":false,"EXPORT":false,"READ":true,"UPDATE":true},"Tag":{"CREATE":false,"DELETE":false,"EXPORT":false,"READ":false,"UPDATE":false},"Task":{"CREATE":true,"DELETE":true,"EXPORT":false,"READ":true,"UPDATE":true},"TaskAssignment":{"CREATE":true,"DELETE":true,"EXPORT":false,"READ":true,"UPDATE":true},"Team":{"CREATE_CUSTOM_FIELDS":false,"CREATE_SECURE":false,"DELETE":false,"DELETE_CUSTOM_FIELDS":false,"EXPORT":false,"READ_SECURE":false,"READ":true,"UPDATE":false,"UPDATE_CUSTOM_FIELDS":false,"UPDATE_SECURE":false},"Whiteboard":{"ARCHIVED":false,"CREATE":false,"DELETE":false,"EXPORT":false,"READ":false,"UPDATE":false,"UPDATEOWN":false}}}]}}}}},"tags":["Accounts / Credentials"]}},"/v3/organisation/{organisationId}/settings":{"get":{"summary":"Retrieve organisation settings","description":"Retrieve organisation settings <br></br>**Required modules:** ","parameters":[{"description":"An organisation id","in":"path","required":true,"name":"organisationId","schema":{"type":["integer"],"minimum":1,"description":"An organisation id"}}],"security":[{"Unified":[]}],"responses":{"200":{"description":"A list of organisation settings","content":{"application/json":{"example":{"results":[{"allowTeamOverride":true,"canChange":true,"key":"MODULE_ENABLED_ACTIVITIES","resourceType":"Setting","value":true,"valueForTeams":true},{"allowTeamOverride":true,"canChange":true,"key":"WEEK_START","resourceType":"Setting","value":"sunday","valueForTeams":"monday"}],"page":0,"pageSize":1,"totalSize":1}}}}},"tags":["Settings"]}},"/v3/organisation/{organisationId}/teams":{"get":{"summary":"Retrieve a list of teams","description":"Retrieve a list of teams <br></br>**Required modules:** ","parameters":[{"description":"An organisation id","in":"path","required":true,"name":"organisationId","schema":{"type":["integer"],"minimum":1,"description":"An organisation id"}},{"description":"Page number","in":"query","name":"page","required":false,"schema":{"type":["integer"],"minimum":0,"description":"Page number"}},{"description":"Items per page","in":"query","name":"size","required":false,"schema":{"type":["integer"],"description":"Items per page"}},{"description":"A list of numeric identifiers representing resources","in":"query","name":"id","required":false,"schema":{"oneOf":[{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},{"type":["array"],"items":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"}}],"description":"A list of numeric identifiers representing resources","type":"array","items":{"type":"number"}}}],"security":[{"Unified":[]}],"responses":{"200":{"description":"A list of teams","content":{"application/json":{"example":{"results":[{"id":1,"globalSyncId":"62a68dac60b511f09c4a325096b39f47","owner":{"id":1,"resourceType":"Organisation"},"title":"Task Force Llama","location":{"type":"Point","coordinates":[0,0]},"memberCounts":{"total":192,"operational":89},"timezone":"America/New_York","country":"CA","deletedAt":null,"overview":"Some text about the team","createdAt":"2021-10-08T15:55:27.000Z","updatedAt":"2022-12-27T18:05:51.000Z","subdomain":"task-force-llama","resourceType":"Team"}],"page":0,"totalSize":1,"pageSize":1}}}}},"tags":["Teams"]}},"/v3/team/{teamId}/animal-group-memberships":{"post":{"summary":"Create an animal group membership","description":"Create an animal group membership ","parameters":[{"description":"Team's id","in":"path","required":true,"name":"teamId","schema":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"Team's id"}}],"requestBody":{"content":{"application/json":{"schema":{"type":["object"],"properties":{"groupId":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The group's identifier"},"animalId":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The animal's identifier"}},"required":["groupId","animalId"]}}}},"security":[{"Unified":[]}],"responses":{"200":{"description":"An animal group membership","content":{"application/json":{"example":{"id":1,"owner":{"resourceType":"Team","id":1},"group":{"resourceType":"AnimalGroup","id":1},"animal":{"resourceType":"Animal","id":1},"resourceType":"AnimalGroupMembership","createdAt":"2026-07-03T06:46:50.654Z","updatedAt":"2026-07-03T06:46:50.654Z"}}}}},"tags":["Group Memberships"]}},"/v3/team/{teamId}/attendance":{"post":{"summary":"Create an activity attendance","description":"Create an activity attendance <br></br>**Required modules:** activities,members","parameters":[{"description":"A team id","in":"path","required":true,"name":"teamId","schema":{"oneOf":[{"type":["integer"],"minimum":1},{"type":["string"],"minLength":32,"maxLength":32,"pattern":"^[0-9a-f]{32}$","description":"A global resource identifier for cross-product sync"}],"description":"A team id"}}],"requestBody":{"content":{"application/json":{"schema":{"type":["object"],"properties":{"memberId":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},"activityId":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},"status":{"default":"REQUESTED","type":["string"],"enum":["ABSENT","ATTENDING","REQUESTED"],"description":"The status of the attendance resource"},"roleId":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},"startsAt":{"description":"An ISO8601 datetime string","type":["string"],"format":"date-time"},"endsAt":{"description":"An ISO8601 datetime string","type":["string"],"format":"date-time"}},"required":["memberId","activityId","startsAt","endsAt"]}}}},"security":[{"Unified":[]},{"Legacy":[]}],"responses":{"200":{"description":"An activity attendance","content":{"application/json":{"example":{"activity":{"resourceType":"Incident","id":1},"createdAt":"2026-07-03T06:46:50.671Z","duration":1,"endsAt":"2026-07-03T06:46:50.671Z","id":1,"member":{"resourceType":"Member","id":1},"owner":{"resourceType":"Team","id":1},"startsAt":"2026-07-03T06:46:50.671Z","status":"ABSENT","resourceType":"ActivityAttendance","role":{"id":1,"resourceType":"Role"},"updatedAt":"2026-07-03T06:46:50.671Z"}}}}},"tags":["Activity Attendance"]}},"/v3/team/{teamId}/equipment-locations":{"post":{"summary":"Create an equipment location","description":"Create an equipment location <br></br>**Required modules:** equipment","parameters":[{"description":"A team id","in":"path","required":true,"name":"teamId","schema":{"type":["integer"],"minimum":1,"description":"A team id"}}],"requestBody":{"content":{"application/json":{"schema":{"type":["object"],"properties":{"title":{"type":["string"],"minLength":1},"deprecatedBundle":{"type":["string"],"minLength":1,"maxLength":50,"description":"The bundle of a resource"},"description":{"type":["string"],"description":"The description of a resource"},"address":{"type":["object"],"properties":{"country":{"type":["string"],"description":"Country"},"postcode":{"type":["string"],"maxLength":100,"description":"Postcode or ZIP code"},"region":{"type":["string"],"maxLength":100,"description":"Province, county or region"},"street":{"type":["string"],"maxLength":100,"description":"Number, street and house"},"town":{"type":["string"],"maxLength":100,"description":"City or town"}}},"location":{"type":["object","null"],"properties":{"latitude":{"type":["number"],"minimum":-90,"maximum":90,"description":"The latitude where this entity is located"},"longitude":{"type":["number"],"minimum":-180,"maximum":180,"description":"The longitude where this entity is located"}},"required":["latitude","longitude"]}},"required":["title"]}}}},"security":[{"Unified":[]}],"responses":{"200":{"description":"The created equipment location","content":{"application/json":{"example":{"id":1,"title":"New Warehouse","description":"This is a new warehouse.","deprecatedBundle":"SAR Bundle","address":{"country":"United States","street":"456 Oak Ave","town":"Springfield","region":"London","postcode":"SW1A 1AA"},"location":{"type":"Point","coordinates":[12.3456,-78.9101]},"owner":{"id":1,"resourceType":"Team"},"createdAt":"2026-07-03T06:46:50Z","updatedAt":"2026-07-03T06:46:50Z","archivedAt":null,"resourceType":"EquipmentLocation"}}}}},"tags":["Equipment Locations"]}},"/v3/team/{teamId}/handler-group-memberships":{"post":{"summary":"Create a handler group membership","description":"Create a handler group membership ","parameters":[{"description":"Team's id","in":"path","required":true,"name":"teamId","schema":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"Team's id"}}],"requestBody":{"content":{"application/json":{"schema":{"type":["object"],"properties":{"groupId":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The group's identifier"},"handlerId":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The handler's identifier"}},"required":["groupId","handlerId"]}}}},"security":[{"Unified":[]}],"responses":{"200":{"description":"A handler group membership","content":{"application/json":{"example":{"id":1,"owner":{"resourceType":"Team","id":1},"group":{"resourceType":"HandlerGroup","id":1},"handler":{"resourceType":"Handler","id":1},"resourceType":"HandlerGroupMembership","createdAt":"2026-07-03T06:46:50.695Z","updatedAt":"2026-07-03T06:46:50.695Z"}}}}},"tags":["Group Memberships"]}},"/v3/team/{teamId}/health-safety-reports":{"post":{"summary":"Create a Health & Safety Report","description":"Create a Health & Safety Report <br></br>**Required modules:** healthsafety","parameters":[{"description":"Team's id","in":"path","required":true,"name":"teamId","schema":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"Team's id"}}],"requestBody":{"content":{"application/json":{"schema":{"type":["object"],"properties":{"targetResourceId":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The ID of an associated resource"},"targetResourceType":{"type":["string"],"enum":["Incident","Event","Exercise"],"description":"The resource-type associated with the report"},"address":{"type":["object"],"properties":{"country":{"type":["string"],"maxLength":100,"description":"The country where this occurance took place"},"postcode":{"type":["string"],"maxLength":100,"description":"The postcode where this occurance took place"},"region":{"type":["string"],"maxLength":100,"description":"The region where this occurance took place"},"street":{"type":["string"],"maxLength":100,"description":"The street where this occurance took place"},"town":{"type":["string"],"maxLength":100,"description":"The town where this occurance took place"}}},"categoryId":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"A Health & Safety Category ID"},"cause":{"type":["string","null"],"description":"The cause of this occurance"},"startsAt":{"description":"The date-time of this occurance","type":["string","null"],"format":"date-time"},"description":{"type":["string","null"],"description":"The description of this occurance"},"location":{"type":["object"],"properties":{"lat":{"type":["number","null"],"minimum":-90,"maximum":90,"description":"The latitude where this occurance took place"},"lng":{"type":["number","null"],"minimum":-180,"maximum":180,"description":"The longtitude where this occurance took place"}},"required":["lat","lng"]},"measures":{"type":["string","null"],"description":"The measures taken because of this occurance"},"severityId":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"A Health & Safety Severity ID"},"customFieldValues":{"type":["array"],"items":{"oneOf":[{"type":["object"],"properties":{"id":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"custom-field identifier"},"value":{"type":["array"],"items":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},"minItems":1,"description":"array of custom-field OPTION identifiers"}},"required":["id","value"],"additionalProperties":false},{"type":["object"],"properties":{"id":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"custom-field identifier"},"value":{"type":["string","null"]}},"required":["id","value"],"additionalProperties":false}]},"description":"An array of objects consisting of the custom-field id and either: the value as a properly formatted string for the field type, or array of ids for choice type fields (with a max of one id for single-choice fields"}},"required":["categoryId","severityId"]}}}},"security":[{"Unified":[]}],"responses":{"200":{"description":"A Health & Safety Report","content":{"application/json":{"example":{"targetResource":{"id":1,"resourceType":"Incident"},"address":{"country":"","postcode":"","region":"","street":"","town":""},"approvedAt":"2026-07-03T06:46:43.215Z","category":{"id":1,"resourceType":"HealthSafetyCategory"},"cause":"Some cause","createdAt":"2026-07-03T06:46:43.215Z","startsAt":"2026-07-03T06:46:43.215Z","description":"","id":1,"location":{"type":"Point","coordinates":[0,0]},"measures":"","resourceType":"HealthSafetyReport","severity":{"id":1,"resourceType":"HealthSafetySeverity"},"owner":{"id":1,"resourceType":"Team"},"updatedAt":"2026-07-03T06:46:43.215Z","customFieldValues":[{"customField":{"id":1,"type":"NUMBER","owner":{"id":1,"resourceType":"Team"},"resourceType":"CustomField"},"value":"123.45"},{"customField":{"id":2,"type":"SINGLE_CHOICE","owner":{"id":1,"resourceType":"Team"},"resourceType":"CustomField"},"value":[666]},{"customField":{"id":3,"type":"MULTIPLE_CHOICE","owner":{"id":1,"resourceType":"Team"},"resourceType":"CustomField"},"value":[999,888]}]}}}}},"tags":["Health & Safety"]}},"/v3/team/{teamId}/incident-involved-injuries":{"post":{"summary":"Create a record of a person involved injury","description":"Create a record of a person involved injury <br></br>**Required modules:** persons_involved_medical","parameters":[{"description":"A team id","in":"path","required":true,"name":"teamId","schema":{"type":["integer"],"minimum":1,"description":"A team id"}}],"requestBody":{"content":{"application/json":{"schema":{"type":["object"],"properties":{"personInvolvedId":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"Person involved id"},"injuryLocationId":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"Injury location id (see enum endpoint)"},"injuryTypeId":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"Injury type id (see enum endpoint)"}},"required":["personInvolvedId","injuryLocationId","injuryTypeId"]}}}},"security":[{"Unified":[]}],"responses":{"200":{"description":"A person involved injury","content":{"application/json":{"example":{"createdAt":"2026-07-03T06:46:50Z","id":1,"injury":{"id":30,"title":"Face","category":"HEAD"},"injuryType":{"id":12,"title":"Sprain","bundle":"MUSCULOSKELETAL","location":"ANY"},"owner":{"id":1,"resourceType":"Team"},"person":{"resourceType":"PersonInvolved","id":1},"resourceType":"PersonInvolvedInjury","updatedAt":"2026-07-03T06:46:50Z"}}}}},"tags":["Incidents"]}},"/v3/team/{teamId}/incident-involved-persons":{"post":{"summary":"Create a record of a person involved in an incident","description":"Create a record of a person involved in an incident <br></br>**Required modules:** persons_involved","parameters":[{"description":"A team id","in":"path","required":true,"name":"teamId","schema":{"type":["integer"],"minimum":1,"description":"A team id"}}],"requestBody":{"content":{"application/json":{"schema":{"type":["object"],"properties":{"age":{"type":["integer"],"exclusiveMinimum":0,"maximum":666,"description":"Person age"},"areaKnowledge":{"type":["string"],"enum":["UNFAMILIAR","FAMILIAR"],"description":"Is person familiar with the locality"},"assistance":{"type":["string"],"maxLength":65535,"description":"Notes on medical assistance"},"cause":{"default":"NO_DATA","type":["string"],"enum":["NO_DATA","ACCIDENTAL","INTENTIONAL_SELF","INTENTIONAL_OTHER","UNDETERMINED"],"description":"Cause information"},"contact":{"type":["string"],"maxLength":65535,"description":"Contact information"},"dateOfBirth":{"type":["string"],"description":"Date of birth"},"handover":{"type":["string"],"enum":["NO_FURTHER_ASSISTANCE","HOSPITAL","ONSITE_FACILITY"],"description":"Handover information"},"incidentId":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"Incident's resource id"},"involvementNotes":{"description":"Involvement notes","type":["string"],"maxLength":65535},"involvementTypeId":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"Person involved involvement type id. Some involvement types also require an outcomeId. See enum endpoint for details."},"name":{"type":["string"],"maxLength":100,"description":"Person's name"},"nationality":{"type":["string"],"enum":["AF","AL","DZ","AD","AO","AG","AR","AM","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BT","BO","BA","BW","BR","BN","BG","BF","BI","KH","CM","CA","CV","CF","TD","CL","CN","CO","KM","CG","CD","CR","CI","HR","CU","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FJ","FI","FR","GA","GM","GE","DE","GH","GR","GD","GT","GN","GW","GY","HT","VA","HN","HU","IS","IN","ID","IR","IQ","IE","IL","IT","JM","JP","JO","KZ","KE","KI","KR","KP","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MK","MG","MW","MY","MV","ML","MT","MH","MR","MU","MX","FM","MD","MC","MN","MA","MZ","MM","NA","NR","NP","NL","NZ","NI","NE","NG","NO","OM","PK","PW","PA","PG","PY","PE","PH","PL","PT","QA","RO","RU","RW","KN","LC","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SK","SI","SB","SO","ZA","ES","LK","SD","SR","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TO","TT","TN","TR","TM","TV","UG","UA","AE","GB","US","UY","UZ","VU","VE","VN","VG","YE","ZM","ZW","XK"],"description":"Country code representing person's nationality"},"outcomeId":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"Person involved outcome id. Only applicable to certain involvement types. See enum endpoint for details."},"sex":{"type":["string"],"enum":["MALE","FEMALE","OTHER"],"description":"The person's sex"},"spinalInjury":{"default":"UNDETERMINED","type":["string"],"enum":["SUSPECTED","CLEARED","NOT_INDICATED","UNDETERMINED"],"description":"Spinal injury status"},"transfer":{"type":["string"],"enum":["SELF","HOSPITAL"],"description":"How they were transferred to hospital"},"customFieldValues":{"type":["array"],"items":{"oneOf":[{"type":["object"],"properties":{"id":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"custom-field identifier"},"value":{"type":["array"],"items":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},"minItems":1,"description":"array of custom-field OPTION identifiers"}},"required":["id","value"],"additionalProperties":false},{"type":["object"],"properties":{"id":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"custom-field identifier"},"value":{"type":["string","null"]}},"required":["id","value"],"additionalProperties":false}]},"description":"An array of objects consisting of the custom-field id and either: the value as a properly formatted string for the field type, or array of ids for choice type fields (with a max of one id for single-choice fields"}},"required":["incidentId","involvementTypeId"]}}}},"security":[{"Unified":[]}],"responses":{"200":{"description":"A person involved in an incident","content":{"application/json":{"example":{"incident":{"resourceType":"Incident","id":1},"age":21,"areaKnowledge":"UNFAMILIAR","cause":"UNDETERMINED","contact":"Joe Duffy, call this number 123456789 and talk to Joe","createdAt":"2026-07-03T06:46:50Z","dateOfBirth":"1990-01-01","handover":"HOSPITAL","id":1,"involvementNotes":"Some involvement notes","involvementType":{"id":1,"title":"Victim"},"injuries":[{"createdAt":"2026-07-03T06:46:50Z","id":1,"injury":{"id":30,"title":"Face","category":"HEAD"},"injuryType":{"id":12,"title":"Sprain","bundle":"MUSCULOSKELETAL","location":"ANY"},"owner":{"id":1,"resourceType":"Team"},"person":{"resourceType":"PersonInvolved","id":1},"resourceType":"PersonInvolvedInjury","updatedAt":"2026-07-03T06:46:50Z"}],"name":"John Doe","nationality":"US","assistance":"Medical assistance notes","owner":{"id":1,"resourceType":"Team"},"outcome":{"id":4,"title":"Life Saved"},"resourceType":"PersonInvolved","sex":"MALE","spinalInjury":"SUSPECTED","transfer":"HOSPITAL","updatedAt":"2026-07-03T06:46:50Z","customFieldValues":[{"customField":{"id":1,"type":"NUMBER","owner":{"id":1,"resourceType":"Team"},"resourceType":"CustomField"},"value":"123.45"},{"customField":{"id":2,"type":"SINGLE_CHOICE","owner":{"id":1,"resourceType":"Team"},"resourceType":"CustomField"},"value":[666]},{"customField":{"id":3,"type":"MULTIPLE_CHOICE","owner":{"id":1,"resourceType":"Team"},"resourceType":"CustomField"},"value":[999,888]}]}}}}},"tags":["Incidents"]}},"/v3/team/{teamId}/member-group-memberships":{"post":{"summary":"Create a member group membership","description":"Create a member group membership ","parameters":[{"description":"Team's id","in":"path","required":true,"name":"teamId","schema":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"Team's id"}}],"requestBody":{"content":{"application/json":{"schema":{"type":["object"],"properties":{"groupId":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The group's identifier"},"memberId":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The member's identifier"}},"required":["groupId","memberId"]}}}},"security":[{"Unified":[]}],"responses":{"200":{"description":"A member group membership","content":{"application/json":{"example":{"id":1,"owner":{"resourceType":"Team","id":1},"group":{"resourceType":"MemberGroup","id":1},"member":{"resourceType":"Member","id":1},"resourceType":"MemberGroupMembership","createdAt":"2026-07-03T06:46:50.741Z","updatedAt":"2026-07-03T06:46:50.741Z"}}}}},"tags":["Group Memberships"]}},"/v3/team/{teamId}/settings":{"get":{"summary":"Retrieve team settings","description":"Retrieve team settings <br></br>**Required modules:** ","parameters":[{"description":"A team id","in":"path","required":true,"name":"teamId","schema":{"oneOf":[{"type":["integer"],"minimum":1},{"type":["string"],"minLength":32,"maxLength":32,"pattern":"^[0-9a-f]{32}$","description":"A global resource identifier for cross-product sync"}],"description":"A team id"}}],"security":[{"Unified":[]},{"Legacy":[]}],"responses":{"200":{"description":"A list of team settings","content":{"application/json":{"example":{"results":[{"canChange":true,"key":"MODULE_ENABLED_ACTIVITIES","resourceType":"Setting","value":true},{"canChange":true,"key":"WEEK_START","resourceType":"Setting","value":"sunday"}],"page":0,"pageSize":1,"totalSize":1}}}}},"tags":["Settings"]}},"/v3/team/{teamId}/task-assignments":{"post":{"summary":"Create a task assignment","description":"Create a task assignment <br></br>**Required modules:** tasks","parameters":[{"description":"A team id","in":"path","required":true,"name":"teamId","schema":{"type":["integer"],"minimum":1,"description":"A team id"}}],"security":[{"Unified":[]}],"responses":{"200":{"description":"A task assignment","content":{"application/json":{"example":{"id":1,"task":{"resourceType":"Task","id":5},"assignee":{"resourceType":"Member","id":10},"completedAt":null,"status":"NOT_STARTED","owner":{"resourceType":"Team","id":1},"createdAt":"2023-01-01T00:00:00.000Z","updatedAt":"2023-01-01T00:00:00.000Z","resourceType":"TaskAssignment"}}}}},"tags":["Tasks"]}},"/v3/team/{teamId}/tasks":{"post":{"summary":"Create a task","description":"Create a task <br></br>**Required modules:** tasks","parameters":[{"description":"A team id","in":"path","required":true,"name":"teamId","schema":{"type":["integer"],"minimum":1,"description":"A team id"}}],"requestBody":{"content":{"application/json":{"schema":{"type":["object"],"properties":{"ref":{"type":["string"],"minLength":1,"maxLength":40,"description":"The task resource ref"},"description":{"type":["string"],"description":"Description of task resource"},"targetResourceId":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"ID of the resource the task is assigned to"},"targetResourceType":{"type":["string"],"enum":["AnimalGroup","Equipment","EquipmentBrand","EquipmentCategory","EquipmentFund","EquipmentInspection","EquipmentKind","EquipmentLocation","EquipmentModel","EquipmentSupplier","EquipmentSupplierRef","Event","Exercise","Folder","HandlerGroup","HealthSafetyReport","Incident","Member","MemberGroup","MemberQualification","Resource","Tag"],"description":"Resource types that can be associated with a task"},"dueAt":{"description":"Date task resource is due","type":["string","null"],"format":"date-time"},"status":{"default":"NOT_STARTED","type":["string"],"enum":["NOT_STARTED","IN_PROGRESS","COMPLETED"],"description":"Status of task"},"completionType":{"default":"ANY","type":["string"],"enum":["ANY"],"description":"Completion type of task"}},"required":["ref"]}}}},"security":[{"Unified":[]}],"responses":{"200":{"description":"A task","content":{"application/json":{"example":{"id":1,"ref":"TASK-001","description":"Example task description","completionType":"ANY","assigned":[{"id":1,"task":{"resourceType":"Task","id":1},"assignee":{"resourceType":"Member","id":5},"completedAt":null,"status":"NOT_STARTED","owner":{"resourceType":"Team","id":1},"createdAt":"2023-01-01T00:00:00.000Z","updatedAt":"2023-01-01T00:00:00.000Z","resourceType":"TaskAssignment"}],"createdBy":{"resourceType":"Member","id":5},"targetResource":{"resourceType":"Event","id":15},"dueAt":"2023-12-31T23:59:59.000Z","completedAt":null,"status":"NOT_STARTED","owner":{"resourceType":"Team","id":1},"createdAt":"2023-01-01T00:00:00.000Z","updatedAt":"2023-01-01T00:00:00.000Z","resourceType":"Task"}}}}},"tags":["Tasks"]}},"/v3/{context}/{contextId}/animal-group-memberships":{"get":{"summary":"Retrieve a list of animal group memberships","description":"Retrieve a list of animal group memberships <br></br>**Required modules:** groups","parameters":[{"description":"The point of view from where the request takes place","in":"path","required":true,"name":"context","schema":{"type":["string"],"enum":["team","organisation","admin"],"description":"The point of view from where the request takes place"}},{"description":"Either a team, organisation or admin's id","in":"path","required":true,"name":"contextId","schema":{"type":["integer"],"minimum":1,"description":"Either a team, organisation or admin's id"}},{"description":"Page number","in":"query","name":"page","required":false,"schema":{"type":["integer"],"minimum":0,"description":"Page number"}},{"description":"Items per page","in":"query","name":"size","required":false,"schema":{"type":["integer"],"description":"Items per page"}},{"description":"A list of numeric identifiers representing resources","in":"query","name":"id","required":false,"schema":{"oneOf":[{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},{"type":["array"],"items":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"}}],"description":"A list of numeric identifiers representing resources","type":"array","items":{"type":"number"}}},{"description":"One or more team identifiers","in":"query","name":"team_id","required":false,"schema":{"oneOf":[{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},{"type":["array"],"items":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"}}],"description":"One or more team identifiers","type":"array","items":{"type":"number"}}},{"description":"One or more group identifiers","in":"query","name":"group_id","required":false,"schema":{"oneOf":[{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},{"type":["array"],"items":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"}}],"description":"One or more group identifiers","type":"array","items":{"type":"number"}}},{"description":"One or more animal identifiers","in":"query","name":"animal_id","required":false,"schema":{"oneOf":[{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},{"type":["array"],"items":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"}}],"description":"One or more animal identifiers","type":"array","items":{"type":"number"}}},{"in":"query","name":"sort","required":false,"schema":{"default":"id","type":["string"],"enum":["createdAt","updatedAt","id"]}},{"in":"query","name":"order","required":false,"schema":{"default":"asc","type":["string"],"enum":["asc","desc"]}}],"security":[{"Unified":[]}],"responses":{"200":{"description":"A list of animal group memberships","content":{"application/json":{"example":{"results":[{"id":1,"owner":{"resourceType":"Team","id":1},"group":{"resourceType":"AnimalGroup","id":1},"animal":{"resourceType":"Animal","id":1},"resourceType":"AnimalGroupMembership","createdAt":"2026-07-03T06:46:50.654Z","updatedAt":"2026-07-03T06:46:50.654Z"}],"page":0,"pageSize":1,"totalSize":1}}}}},"tags":["Group Memberships"]}},"/v3/{context}/{contextId}/animal-groups":{"get":{"summary":"Retrieve a list of animal groups","description":"Retrieve a list of animal groups <br></br>**Required modules:** groups","parameters":[{"description":"The point of view from where the request takes place","in":"path","required":true,"name":"context","schema":{"type":["string"],"enum":["team","organisation","admin"],"description":"The point of view from where the request takes place"}},{"description":"Either a team, organisation or admin's id","in":"path","required":true,"name":"contextId","schema":{"type":["integer"],"minimum":1,"description":"Either a team, organisation or admin's id"}},{"description":"Page number","in":"query","name":"page","required":false,"schema":{"type":["integer"],"minimum":0,"description":"Page number"}},{"description":"Items per page","in":"query","name":"size","required":false,"schema":{"type":["integer"],"description":"Items per page"}},{"description":"A list of numeric identifiers representing resources","in":"query","name":"id","required":false,"schema":{"oneOf":[{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},{"type":["array"],"items":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"}}],"description":"A list of numeric identifiers representing resources","type":"array","items":{"type":"number"}}},{"description":"One or more team identifiers","in":"query","name":"team_id","required":false,"schema":{"oneOf":[{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},{"type":["array"],"items":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"}}],"description":"One or more team identifiers","type":"array","items":{"type":"number"}}},{"description":"A simple text search term, compared against the title","in":"query","name":"title","required":false,"schema":{"type":["string"],"description":"A simple text search term, compared against the title"}},{"in":"query","name":"order","required":false,"schema":{"default":"asc","type":["string"],"enum":["asc","desc"]}},{"in":"query","name":"sort","required":false,"schema":{"default":"id","type":["string"],"enum":["createdAt","updatedAt","id","title"]}}],"security":[{"Unified":[]}],"responses":{"200":{"description":"A list of animal Groups","content":{"application/json":{"example":{"results":[{"id":1,"title":"Hundreds of Beavers","deprecatedBundle":"SAR Bundle","membershipResourceType":"Animal","owner":{"resourceType":"Team","id":1},"resourceType":"AnimalGroup","createdAt":"2026-07-03T06:46:50.795Z","updatedAt":"2026-07-03T06:46:50.795Z"}],"page":0,"pageSize":1,"totalSize":1}}}}},"tags":["Groups"]},"post":{"summary":"Create an animal group","description":"Create an animal group ","parameters":[{"description":"The point of view from where the request takes place","in":"path","required":true,"name":"context","schema":{"type":["string"],"enum":["team","organisation","admin"],"description":"The point of view from where the request takes place"}},{"description":"Either a team, organisation or admin's id","in":"path","required":true,"name":"contextId","schema":{"type":["integer"],"minimum":1,"description":"Either a team, organisation or admin's id"}}],"requestBody":{"content":{"application/json":{"schema":{"type":["object"],"properties":{"title":{"type":["string"],"minLength":1,"maxLength":50,"description":"The group's title"},"deprecatedBundle":{"type":["string"],"minLength":1,"maxLength":50,"description":"The group's bundle title"}},"required":["title"]}}}},"security":[{"Unified":[]}],"responses":{"200":{"description":"An animal group","content":{"application/json":{"example":{"id":1,"title":"Hundreds of Beavers","deprecatedBundle":"SAR Bundle","membershipResourceType":"Animal","owner":{"resourceType":"Team","id":1},"resourceType":"AnimalGroup","createdAt":"2026-07-03T06:46:50.795Z","updatedAt":"2026-07-03T06:46:50.795Z"}}}}},"tags":["Groups"]}},"/v3/{context}/{contextId}/animal-qualifications":{"get":{"summary":"Retrieve a list of animal qualifications","description":"Retrieve a list of animal qualifications ","parameters":[{"description":"The point of view from where the request takes place","in":"path","required":true,"name":"context","schema":{"type":["string"],"enum":["team","organisation","admin"],"description":"The point of view from where the request takes place"}},{"description":"Either a team, organisation or admin's id","in":"path","required":true,"name":"contextId","schema":{"type":["integer"],"minimum":1,"description":"Either a team, organisation or admin's id"}},{"description":"Page number","in":"query","name":"page","required":false,"schema":{"type":["integer"],"minimum":0,"description":"Page number"}},{"description":"Items per page","in":"query","name":"size","required":false,"schema":{"type":["integer"],"description":"Items per page"}},{"description":"The title of a resource","in":"query","name":"title","required":false,"schema":{"type":["string"],"minLength":1,"maxLength":20,"description":"The title of a resource"}},{"description":"*Organisation context*: Exclude entities belonging to accessible teams","in":"query","name":"exclude_teams_data","required":false,"schema":{"default":false,"oneOf":[{"type":["boolean"]},{"type":["string"],"enum":["true","false","1","0",""]}],"description":"*Organisation context*: Exclude entities belonging to accessible teams"}},{"description":"*Team context*: Exclude entities inherited from the team's org","in":"query","name":"exclude_org_data","required":false,"schema":{"default":false,"oneOf":[{"type":["boolean"]},{"type":["string"],"enum":["true","false","1","0",""]}],"description":"*Team context*: Exclude entities inherited from the team's org"}},{"in":"query","name":"sort","required":false,"schema":{"default":"id","type":["string"],"enum":["createdAt","updatedAt","id"]}},{"in":"query","name":"order","required":false,"schema":{"default":"asc","type":["string"],"enum":["asc","desc"]}}],"security":[{"Unified":[]}],"responses":{"200":{"description":"A list of animal qualifications","content":{"application/json":{"example":{"page":0,"pageSize":1,"totalSize":1,"results":[{"id":8,"owner":{"id":2,"resourceType":"Team"},"title":"Hat Wearing","description":"Dogs need help with hats","cost":123,"expiredCost":null,"deprecatedBundle":"Some bundle","expiresMonthsDefault":null,"reminderDays":30,"createdAt":"2026-07-03T06:46:50.801Z","updatedAt":"2026-07-03T06:46:50.801Z","resourceType":"AnimalQualification"}]}}}}},"tags":["Qualifications"]}},"/v3/{context}/{contextId}/animals":{"get":{"summary":"Retrieve a list of animals","description":"Retrieve a list of animals <br></br>**Required modules:** animals","parameters":[{"description":"The point of view from where the request takes place","in":"path","required":true,"name":"context","schema":{"type":["string"],"enum":["team","organisation","admin"],"description":"The point of view from where the request takes place"}},{"description":"Either a team, organisation or admin's id","in":"path","required":true,"name":"contextId","schema":{"type":["integer"],"minimum":1,"description":"Either a team, organisation or admin's id"}},{"description":"Page number","in":"query","name":"page","required":false,"schema":{"type":["integer"],"minimum":0,"description":"Page number"}},{"description":"Items per page","in":"query","name":"size","required":false,"schema":{"type":["integer"],"description":"Items per page"}},{"description":"A list of numeric identifiers representing resources","in":"query","name":"id","required":false,"schema":{"oneOf":[{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},{"type":["array"],"items":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"}}],"description":"A list of numeric identifiers representing resources","type":"array","items":{"type":"number"}}},{"description":"The numeric identifier for a resource","in":"query","name":"team_id","required":false,"schema":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"}},{"description":"The member id or ids of the animal's handler(s)","in":"query","name":"handler_member_id","required":false,"schema":{"oneOf":[{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},{"type":["array"],"items":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"}}],"description":"The member id or ids of the animal's handler(s)","type":"array","items":{"type":"number"}}},{"description":"The status of the animal","in":"query","name":"status","required":false,"schema":{"type":["string"],"enum":["OPERATIONAL","NON_OPERATIONAL"],"description":"The status of the animal"}},{"in":"query","name":"sort","required":false,"schema":{"default":"id","type":["string"],"enum":["createdAt","updatedAt","id"]}},{"in":"query","name":"order","required":false,"schema":{"default":"asc","type":["string"],"enum":["asc","desc"]}}],"security":[{"Unified":[]}],"responses":{"200":{"description":"A list of animals","content":{"application/json":{"example":{"results":[{"id":1,"name":"Bessie","breed":"Lab","type":"DOG","countRollingHours":12,"owner":{"resourceType":"Team","id":1},"ref":"0000123","notes":"None","status":"OPERATIONAL","resourceType":"Animal","bornAt":"2026-07-03T06:46:50.810Z","joinedAt":"2026-07-03T06:46:50.810Z","leftAt":null,"createdAt":"2026-07-03T06:46:50.810Z","updatedAt":"2026-07-03T06:46:50.810Z"}],"page":0,"pageSize":1,"totalSize":1}}}}},"tags":["Animals"]}},"/v3/{context}/{contextId}/attendance":{"get":{"summary":"Retrieve a list of activity attendances","description":"Retrieve a list of activity attendances <br></br>**Required modules:** activities,members","parameters":[{"description":"Page number","in":"query","name":"page","required":false,"schema":{"type":["integer"],"minimum":0,"description":"Page number"}},{"description":"Items per page","in":"query","name":"size","required":false,"schema":{"type":["integer"],"description":"Items per page"}},{"description":"A list of numeric identifiers representing resources","in":"query","name":"id","required":false,"schema":{"oneOf":[{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},{"type":["array"],"items":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"}}],"description":"A list of numeric identifiers representing resources","type":"array","items":{"type":"number"}}},{"description":"One or more member resource identifiers","in":"query","name":"member_id","required":false,"schema":{"oneOf":[{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},{"type":["array"],"items":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"}}],"description":"One or more member resource identifiers","type":"array","items":{"type":"number"}}},{"description":"One or more activity resource identifiers","in":"query","name":"activity_id","required":false,"schema":{"oneOf":[{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},{"type":["array"],"items":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"}}],"description":"One or more activity resource identifiers","type":"array","items":{"type":"number"}}},{"description":"One or more role resource identifiers","in":"query","name":"role_id","required":false,"schema":{"oneOf":[{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},{"type":["array"],"items":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"}}],"description":"One or more role resource identifiers","type":"array","items":{"type":"number"}}},{"description":"One or more activity resource types","in":"query","name":"activity_resource_type","required":false,"schema":{"description":"One or more activity resource types","oneOf":[{"type":["string"],"enum":["Event","Exercise","Incident"],"description":"The activity resource type"},{"type":["array"],"items":{"type":["string"],"enum":["Event","Exercise","Incident"],"description":"The activity resource type"}}]}},{"description":"One or more attendance statuses","in":"query","name":"status","required":false,"schema":{"description":"One or more attendance statuses","oneOf":[{"type":["string"],"enum":["ABSENT","ATTENDING","REQUESTED"],"description":"The status of the attendance resource"},{"type":["array"],"items":{"type":["string"],"enum":["ABSENT","ATTENDING","REQUESTED"],"description":"The status of the attendance resource"}}]}},{"description":"Return only resources starting before this datetime","in":"query","name":"starts_before","required":false,"schema":{"description":"Return only resources starting before this datetime","type":["string"],"format":"date-time"}},{"description":"Return only resources starting after this datetime","in":"query","name":"starts_after","required":false,"schema":{"description":"Return only resources starting after this datetime","type":["string"],"format":"date-time"}},{"description":"Return only resources ending before this datetime","in":"query","name":"ends_before","required":false,"schema":{"description":"Return only resources ending before this datetime","type":["string"],"format":"date-time"}},{"description":"Return only resources ending after this datetime","in":"query","name":"ends_after","required":false,"schema":{"description":"Return only resources ending after this datetime","type":["string"],"format":"date-time"}},{"description":"Return only attendances from deleted activities","in":"query","name":"deleted","required":false,"schema":{"default":false,"oneOf":[{"type":["boolean"]},{"type":["string"],"enum":["true","false","1","0",""]}],"type":"boolean","description":"Return only attendances from deleted activities"}},{"in":"query","name":"order","required":false,"schema":{"default":"asc","type":["string"],"enum":["asc","desc"]}},{"in":"query","name":"sort","required":false,"schema":{"default":"id","type":["string"],"enum":["createdAt","updatedAt","id","startsAt"]}}],"security":[{"Unified":[]},{"Legacy":[]}],"responses":{"200":{"description":"A list of activity attendances","content":{"application/json":{"example":{"results":[{"activity":{"resourceType":"Incident","id":1},"createdAt":"2026-07-03T06:46:50.671Z","duration":1,"endsAt":"2026-07-03T06:46:50.671Z","id":1,"member":{"resourceType":"Member","id":1},"owner":{"resourceType":"Team","id":1},"startsAt":"2026-07-03T06:46:50.671Z","status":"ABSENT","resourceType":"ActivityAttendance","role":{"id":1,"resourceType":"Role"},"updatedAt":"2026-07-03T06:46:50.671Z"}],"page":0,"pageSize":1,"totalSize":1}}}}},"tags":["Activity Attendance"]}},"/v3/{context}/{contextId}/custom-field-options":{"post":{"summary":"Create a custom field option for a CHOICE type field","description":"Create a custom field option for a CHOICE type field ","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":["object"],"properties":{"customFieldId":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},"label":{"type":["string"],"maxLength":150},"archived":{"oneOf":[{"type":["boolean"]},{"type":["string"],"enum":["true","false","1","0",""]}],"description":"Whether this option is available or not"},"ordering":{"default":255,"type":["integer"],"maximum":4294967295,"minimum":0}},"required":["customFieldId","label"]}}}},"security":[{"Unified":[]}],"responses":{"200":{"description":"A custom field option","content":{"application/json":{"example":{"id":43,"ordering":0,"customField":{"id":2,"resourceType":"CustomField"},"label":"Eius.","archivedAt":null,"owner":{"id":2,"resourceType":"Team"},"createdAt":"2026-07-03T06:46:43.199Z","updatedAt":"2026-07-03T06:46:43.199Z"}}}}},"tags":["Custom Fields"]}},"/v3/{context}/{contextId}/custom-fields":{"get":{"summary":"Retrieve a list of custom fields","description":"Retrieve a list of custom fields ","parameters":[{"description":"Page number","in":"query","name":"page","required":false,"schema":{"type":["integer"],"minimum":0,"description":"Page number"}},{"description":"Items per page","in":"query","name":"size","required":false,"schema":{"type":["integer"],"description":"Items per page"}},{"description":"A list of numeric identifiers representing resources","in":"query","name":"id","required":false,"schema":{"oneOf":[{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},{"type":["array"],"items":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"}}],"description":"A list of numeric identifiers representing resources","type":"array","items":{"type":"number"}}},{"description":"A resource type that supports custom fields","in":"query","name":"target_resource_type","required":false,"schema":{"description":"A resource type that supports custom fields","oneOf":[{"type":["string"],"enum":["Event","Exercise","Incident","IncidentWeather","Equipment","HealthSafetyReport","Member","PersonInvolved","Team"],"description":"A resource type that supports custom fields"},{"type":["array"],"items":{"type":["string"],"enum":["Event","Exercise","Incident","IncidentWeather","Equipment","HealthSafetyReport","Member","PersonInvolved","Team"],"description":"A resource type that supports custom fields"}}]}},{"description":"Filter returned custom fields by their archived status","in":"query","name":"archived","required":false,"schema":{"oneOf":[{"type":["boolean"]},{"type":["string"],"enum":["true","false","1","0",""]}],"description":"Filter returned custom fields by their archived status"}},{"description":"A resource-bundle id. Use null to get un-bundled fields","in":"query","name":"resource_bundle_id","required":false,"schema":{"description":"A resource-bundle id. Use null to get un-bundled fields","oneOf":[{"type":["string"],"enum":["null"]},{"type":["string","null"],"enum":["null"]},{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"}],"type":["null"]}},{"description":"- `UNRESTRICTED`: No extra permissions required\n- `RESTRICTED`: Extra permissions required","in":"query","name":"restricted","required":false,"schema":{"type":["string"],"enum":["UNRESTRICTED","RESTRICTED"],"description":"- `UNRESTRICTED`: No extra permissions required\n- `RESTRICTED`: Extra permissions required"}},{"description":"- `HIDDEN`: Member cannot view own data\n- `EDITABLE`: Member can edit own data\n- `VIEWABLE`: Member can view own data","in":"query","name":"member_privacy","required":false,"schema":{"type":["string"],"enum":["HIDDEN","EDITABLE","VIEWABLE"],"description":"- `HIDDEN`: Member cannot view own data\n- `EDITABLE`: Member can edit own data\n- `VIEWABLE`: Member can view own data"}},{"in":"query","name":"sort","required":false,"schema":{"default":"id","type":["string"],"enum":["createdAt","updatedAt","id","ordering"]}},{"in":"query","name":"order","required":false,"schema":{"default":"asc","type":["string"],"enum":["asc","desc"]}},{"description":"*Organisation context*: Exclude entities belonging to accessible teams","in":"query","name":"exclude_teams_data","required":false,"schema":{"default":false,"oneOf":[{"type":["boolean"]},{"type":["string"],"enum":["true","false","1","0",""]}],"description":"*Organisation context*: Exclude entities belonging to accessible teams"}},{"description":"*Team context*: Exclude entities inherited from the team's org","in":"query","name":"exclude_org_data","required":false,"schema":{"default":false,"oneOf":[{"type":["boolean"]},{"type":["string"],"enum":["true","false","1","0",""]}],"description":"*Team context*: Exclude entities inherited from the team's org"}}],"security":[{"Unified":[]},{"Legacy":[]}],"responses":{"200":{"description":"A list of custom fields","content":{"application/json":{"example":{"results":[{"id":93,"owner":{"id":1,"resourceType":"Team"},"targetResourceType":"Equipment","ordering":255,"title":"Rem corporis doloribus et neque rerum.","type":"TEXT","restricted":"UNRESTRICTED","memberPrivacy":"VIEWABLE","hint":null,"bundle":{"id":5,"resourceType":"ResourceBundle"},"searchable":false,"mandatory":false,"frozen":false,"archivedAt":null,"createdAt":"2026-07-03T06:46:43.200Z","updatedAt":"2026-07-03T06:46:43.200Z","options":[{"id":43,"ordering":0,"customField":{"id":2,"resourceType":"CustomField"},"label":"Eius.","archivedAt":null,"owner":{"id":2,"resourceType":"Team"},"createdAt":"2026-07-03T06:46:43.199Z","updatedAt":"2026-07-03T06:46:43.199Z"}],"resourceType":"CustomField","valueUnits":null}],"page":0,"pageSize":1,"totalSize":1}}}}},"tags":["Custom Fields"]},"post":{"summary":"Create a custom field","description":"Create a custom field ","parameters":[{"description":"The point of view from where the request takes place","in":"path","required":true,"name":"context","schema":{"type":["string"],"enum":["team","organisation","admin"],"description":"The point of view from where the request takes place"}},{"description":"Either a team, organisation or admin's id","in":"path","required":true,"name":"contextId","schema":{"type":["integer"],"minimum":1,"description":"Either a team, organisation or admin's id"}}],"requestBody":{"content":{"application/json":{"schema":{"type":["object"],"properties":{"targetResourceType":{"type":["string"],"enum":["Event","Exercise","Incident","IncidentWeather","Equipment","HealthSafetyReport","Member","PersonInvolved","Team"],"description":"A resource type that supports custom fields"},"ordering":{"default":0,"type":["integer"],"minimum":0,"maximum":4294967295,"description":"A user-specified order in which to present the resources"},"title":{"type":["string"],"minLength":1,"maxLength":150,"pattern":"^(?!.*\\|).+$","description":"The title of a resource"},"restricted":{"default":"RESTRICTED","type":["string"],"enum":["UNRESTRICTED","RESTRICTED"],"description":"- `UNRESTRICTED`: No extra permissions required\n- `RESTRICTED`: Extra permissions required"},"memberPrivacy":{"default":"HIDDEN","type":["string"],"enum":["HIDDEN","EDITABLE","VIEWABLE"],"description":"- `HIDDEN`: Member cannot view own data\n- `EDITABLE`: Member can edit own data\n- `VIEWABLE`: Member can view own data"},"hint":{"type":["string"],"maxLength":65535,"description":"A hint to show users of the field"},"resourceBundleId":{"type":["integer","null"],"minimum":1,"maximum":2147483647,"description":"A resource bundle id"},"searchable":{"default":false,"oneOf":[{"type":["boolean"]},{"type":["string"],"enum":["true","false","1","0",""]}],"description":"Whether the field should be included in its parent's (targetResourceType) entity search index or not. Field must also be `UNRESTRICTED`."},"mandatory":{"default":false,"oneOf":[{"type":["boolean"]},{"type":["string"],"enum":["true","false","1","0",""]}],"description":"Whether this field will be required in order to create/approve the attached entity or not"},"archived":{"default":false,"oneOf":[{"type":["boolean"]},{"type":["string"],"enum":["true","false","1","0",""]}],"description":"Whether this field is enabled or not for the target entities"},"type":{"type":["string"],"enum":["DATE","DATETIME","MULTIPLE_CHOICE","NUMBER","SINGLE_CHOICE","TEXT","TEXT_AREA","TIME"],"description":"- `DATE`: A date with no time component\n- `DATETIME`: A standard date-time\n- `MULTIPLE_CHOICE`: Allows selection of multiple custom-field-options\n- `NUMBER`: A numeric value\n- `SINGLE_CHOICE`: Allows selection of a single custom-field-option\n- `TEXT`: Plaintext, generally used for short single-line text\n- `TEXT_AREA`: Plaintext, generally used larger bodies of text\n- `TIME`: A time of day with no date component"},"options":{"type":["array"],"items":{"type":["object"],"properties":{"label":{"type":["string"],"minLength":1,"maxLength":150},"ordering":{"default":0,"type":["integer"],"minimum":0,"maximum":4294967295}},"required":["label"]},"description":"For enumerated custom field types (`SINGLE_CHOICE`, `MULTIPLE_CHOICE`), the options to choose from"},"valueUnits":{"description":"Text description of what a numerical value represents. Can only be used with type `NUMBER`","type":["string"],"minLength":1,"maxLength":10}},"required":["targetResourceType","title","type"]}}}},"security":[{"Unified":[]}],"responses":{"200":{"description":"A custom field","content":{"application/json":{"example":{"id":93,"owner":{"id":1,"resourceType":"Team"},"targetResourceType":"Equipment","ordering":255,"title":"Rem corporis doloribus et neque rerum.","type":"TEXT","restricted":"UNRESTRICTED","memberPrivacy":"VIEWABLE","hint":null,"bundle":{"id":5,"resourceType":"ResourceBundle"},"searchable":false,"mandatory":false,"frozen":false,"archivedAt":null,"createdAt":"2026-07-03T06:46:43.200Z","updatedAt":"2026-07-03T06:46:43.200Z","options":[{"id":43,"ordering":0,"customField":{"id":2,"resourceType":"CustomField"},"label":"Eius.","archivedAt":null,"owner":{"id":2,"resourceType":"Team"},"createdAt":"2026-07-03T06:46:43.199Z","updatedAt":"2026-07-03T06:46:43.199Z"}],"resourceType":"CustomField","valueUnits":null}}}}},"tags":["Custom Fields"]}},"/v3/{context}/{contextId}/customer-identifiers":{"get":{"summary":"Retrieve the customer identifier for this context","description":"Retrieve the customer identifier for this context ","parameters":[{"description":"The point of view from where the request takes place","in":"path","required":true,"name":"context","schema":{"type":["string"],"enum":["team","organisation","admin"],"description":"The point of view from where the request takes place"}},{"description":"Either a team, organisation or admin's id","in":"path","required":true,"name":"contextId","schema":{"type":["integer"],"minimum":1,"description":"Either a team, organisation or admin's id"}}],"security":[{"Unified":[]}],"responses":{"200":{"description":"The Customer Identifiers this context has","content":{"application/json":{"example":{"results":[{"id":1,"identifier":"CI-LK99","resourceType":"CustomerIdentifier"}],"page":0,"pageSize":10,"totalSize":1}}}}},"tags":["Customer Identifiers"]}},"/v3/{context}/{contextId}/documents":{"get":{"summary":"Retrieve a list of documents","description":"Retrieve a list of documents <br></br>**Required modules:** ","parameters":[{"description":"Page number","in":"query","name":"page","required":false,"schema":{"type":["integer"],"minimum":0,"description":"Page number"}},{"description":"Items per page","in":"query","name":"size","required":false,"schema":{"type":["integer"],"description":"Items per page"}},{"description":"A list of ids","in":"query","name":"id","required":false,"schema":{"oneOf":[{"type":["integer"]},{"type":["array"],"items":{"type":["integer"]}}],"description":"A list of ids"}},{"description":"A simple text search term, compared against the title","in":"query","name":"title","required":false,"schema":{"type":["string"],"minLength":1,"maxLength":20,"description":"A simple text search term, compared against the title"}},{"description":"- `UNRESTRICTED`: No extra permissions required\n- `RESTRICTED`: Extra permissions required","in":"query","name":"restricted","required":false,"schema":{"type":["string"],"enum":["UNRESTRICTED","RESTRICTED"],"description":"- `UNRESTRICTED`: No extra permissions required\n- `RESTRICTED`: Extra permissions required"}},{"description":"Whether return or exclude profile documents ","in":"query","name":"profile","required":false,"schema":{"oneOf":[{"type":["boolean"]},{"type":["string"],"enum":["true","false","1","0",""]}],"type":"boolean","description":"Whether return or exclude profile documents "}},{"in":"query","name":"target_resource_type","required":true,"schema":{"type":["array"],"items":{"type":["string"],"enum":["Animal","AnimalGroup","AnimalQualification","AnimalQualificationAward","Equipment","EquipmentBrand","EquipmentCategory","EquipmentModel","EquipmentKind","EquipmentSupplier","EquipmentSupplierRef","Event","Exercise","Folder","Handler","HandlerGroup","HandlerQualification","HandlerQualificationAward","HealthSafetyReport","Incident","EquipmentInspection","EquipmentInspectionResult","Member","MemberGroup","MemberQualification","MemberQualificationAward","Repair","Resource","Tag","Task","Team"],"description":"A resource type that supports attaching documents"}}},{"description":"The related resource id","in":"query","name":"target_resource_id","required":false,"schema":{"description":"The related resource id","oneOf":[{"oneOf":[{"type":["integer"]},{"type":["array"],"items":{"type":["integer"]}}]},{"type":["string"],"enum":["null"]}],"type":["null"]}},{"description":"*Team context*: Exclude entities inherited from the team's org","in":"query","name":"exclude_org_data","required":false,"schema":{"default":false,"oneOf":[{"type":["boolean"]},{"type":["string"],"enum":["true","false","1","0",""]}],"description":"*Team context*: Exclude entities inherited from the team's org"}},{"in":"query","name":"order","required":false,"schema":{"default":"asc","type":["string"],"enum":["asc","desc"]}},{"in":"query","name":"sort","required":false,"schema":{"default":"id","type":["string"],"enum":["createdAt","updatedAt","id","title"]}}],"security":[{"Unified":[]},{"Legacy":[]}],"responses":{"200":{"description":"A list of documents","content":{"application/json":{"example":{"results":[{"id":1,"owner":{"id":1,"resourceType":"Team"},"title":"A document","createdAt":"2026-07-03T06:46:50.937Z","updatedAt":"2026-07-03T06:46:50.937Z","description":"","targetResource":{"id":1,"resourceType":"Equipment","deleted":false},"restricted":"UNRESTRICTED","profile":1,"downloads":1,"avScanStatus":"SAFE","availableSizes":["ORIGINAL","PREVIEW","THUMBNAIL"],"fileExt":"txt","fileType":"text/txt","fileSize":100,"revision":1,"createdBy":{"id":1,"resourceType":"Member"},"resourceType":"Document"}],"page":0,"pageSize":1,"totalSize":1}}}}},"tags":["Documents"]},"post":{"summary":"Upload a document","description":"Upload a document <br></br>**Required modules:** ","parameters":[],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":["object"],"properties":{"title":{"type":["string"],"minLength":1,"maxLength":256,"description":"The document's name"},"targetResourceType":{"type":["string"],"enum":["Animal","AnimalGroup","AnimalQualification","AnimalQualificationAward","Equipment","EquipmentBrand","EquipmentCategory","EquipmentModel","EquipmentKind","EquipmentSupplier","EquipmentSupplierRef","Event","Exercise","Folder","Handler","HandlerGroup","HandlerQualification","HandlerQualificationAward","HealthSafetyReport","Incident","EquipmentInspection","EquipmentInspectionResult","Member","MemberGroup","MemberQualification","MemberQualificationAward","Repair","Resource","Tag","Task","Team"],"description":"A resource type that supports attaching documents"},"targetResourceId":{"oneOf":[{"type":["string"],"enum":["null"]},{"type":["string","null"],"enum":["null"]},{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"}],"type":["null"],"description":"The related resource id. Mandatory if resource type is \"folder\""},"description":{"default":"","type":["string"],"minLength":0,"maxLength":65535,"description":"The desired file name"},"restricted":{"default":"UNRESTRICTED","type":["string"],"enum":["UNRESTRICTED","RESTRICTED"],"description":"- `UNRESTRICTED`: No extra permissions required\n- `RESTRICTED`: Extra permissions required"},"profile":{"default":false,"oneOf":[{"type":["boolean"]},{"type":["string"],"enum":["true","false","1","0",""]}],"type":"boolean","description":"Whether this document is the profile image"},"file":{"type":"string","format":"binary"}},"required":["targetResourceType"]}}}},"security":[{"Unified":[]},{"Legacy":[]}],"responses":{"200":{"description":"The Document details","content":{"application/json":{"example":{"id":1,"owner":{"id":1,"resourceType":"Team"},"title":"A document","createdAt":"2026-07-03T06:46:50.937Z","updatedAt":"2026-07-03T06:46:50.937Z","description":"","targetResource":{"id":1,"resourceType":"Equipment","deleted":false},"restricted":"UNRESTRICTED","profile":1,"downloads":1,"avScanStatus":"SAFE","availableSizes":["ORIGINAL","PREVIEW","THUMBNAIL"],"fileExt":"txt","fileType":"text/txt","fileSize":100,"revision":1,"createdBy":{"id":1,"resourceType":"Member"},"resourceType":"Document"}}}}},"tags":["Documents"]}},"/v3/{context}/{contextId}/duties":{"get":{"summary":"Retrieve a list of duties","description":"Retrieve a list of duties <br></br>**Required modules:** duty","parameters":[{"description":"The point of view from where the request takes place","in":"path","required":true,"name":"context","schema":{"type":["string"],"enum":["team","organisation","admin"],"description":"The point of view from where the request takes place"}},{"description":"Either a team, organisation or admin's id","in":"path","required":true,"name":"contextId","schema":{"type":["integer"],"minimum":1,"description":"Either a team, organisation or admin's id"}},{"description":"Page number","in":"query","name":"page","required":false,"schema":{"type":["integer"],"minimum":0,"description":"Page number"}},{"description":"Items per page","in":"query","name":"size","required":false,"schema":{"type":["integer"],"description":"Items per page"}},{"description":"A list of numeric identifiers representing resources","in":"query","name":"id","required":false,"schema":{"oneOf":[{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},{"type":["array"],"items":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"}}],"description":"A list of numeric identifiers representing resources","type":"array","items":{"type":"number"}}},{"description":"Return only duties starting before this date","in":"query","name":"before","required":false,"schema":{"description":"Return only duties starting before this date","type":["string"],"format":"date-time"}},{"description":"Return only duties ending after this date","in":"query","name":"after","required":false,"schema":{"description":"Return only duties ending after this date","type":["string"],"format":"date-time"}},{"description":"Whether on-call or off-call was specified","in":"query","name":"type","required":false,"schema":{"type":["string"],"enum":["OFF","ON"],"description":"Whether on-call or off-call was specified"}},{"description":"One or more team identifiers","in":"query","name":"team_id","required":false,"schema":{"oneOf":[{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},{"type":["array"],"items":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"}}],"description":"One or more team identifiers","type":"array","items":{"type":"number"}}},{"description":"One or more member identifiers","in":"query","name":"member_id","required":false,"schema":{"oneOf":[{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},{"type":["array"],"items":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"}}],"description":"One or more member identifiers","type":"array","items":{"type":"number"}}},{"description":"One or more parent duty identifiers","in":"query","name":"parent_id","required":false,"schema":{"oneOf":[{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},{"type":["array"],"items":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"}}],"description":"One or more parent duty identifiers","type":"array","items":{"type":"number"}}},{"description":"One or more role identifiers","in":"query","name":"role_id","required":false,"schema":{"oneOf":[{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"},{"type":["array"],"items":{"type":["integer"],"minimum":1,"maximum":2147483647,"description":"The numeric identifier for a resource"}}],"description":"One or more role identifiers","type":"array","items":{"type":"number"}}},{"in":"query","name":"order","required":false,"schema":{"default":"asc","type":["string"],"enum":["asc","desc"]}},{"in":"query","name":"sort","required":false,"schema":{"default":"id","type":["string"],"enum":["createdAt","updatedAt","id","startsAt","endsAt"]}}],"security":[{"Unified":[]}],"responses":{"200":{"description":"A list of Duties","content":{"application/json":{"example":{"results":[{"id":1,"notes":"A note about this duty","startsAt":"2026-07-03T06:46:50.987Z","endsAt":"2026-07-03T06:46:50.987Z","type":"OFF","role":{"id":1,"title":"This role's title","deprecatedBundle":"This role's bundle","owner":{"resourceType":"Team","id":1},"order":0,"cost":{"hour":20,"use":100},"resourceType":"Role","createdAt":"2026-07-03T06:46:50.985Z","updatedAt":"2026-07-03T06:46:50.985Z"},"parent":{"resourceType":"Duty","id":1},"member":{"alertActivityApproval":true,"alertAllQualifications":true,"alertGear":true,"alertQualifications":true,"chatAutosubscribe":true,"chatDailyDigest":true,"contactUpdateMail":true,"costPerHour":50,"costPerUse":10,"countReportingEvent":20,"countReportingExercise":10,"countReportingHours":40,"countReportingIncident":5,"countRollingHours":30,"countRollingHoursEvent":15,"countRollingHoursExercise":25,"countRollingHoursIncident":3,"createdAt":"2026-07-03T06:46:50Z","credits":100,"defaultDuty":"ON","defaultEquipmentLocation":{"id":2,"resourceType":"EquipmentLocation"},"deprecatedAddress":"456 Oak Ave, Springfield, London, SW1A 1AA, England","email":{"value":"john.doe@example.com","verified":true},"primaryEmergencyContact":{"name":"Emergency Contact 1","primaryPhone":"555-123-4567","secondaryPhone":"555-987-6543","relation":"Parent"},"secondaryEmergencyContact":{"name":"Emergency Contact 2","primaryPhone":"555-555-5555","secondaryPhone":"555-666-6666","relation":"Sibling"},"endsAt":"2026-07-03T06:46:50Z","globalSyncId":"62a68dac60b511f09c4a325096b39f47","home":{"phone":"555-789-0123","verified":true},"icalSecret":"icalSecret123","id":1,"idTag":"RFID123","startsAt":"2026-07-03T06:46:50Z","lastLogin":"2026-07-03T06:46:50Z","location":{"type":"Point","coordinates":[12.3456,-78.9101]},"locationBookmark":{"id":4,"resourceType":"LocationBookmark"},"mobile":{"phone":"555-222-3333","verified":true},"name":"John Doe","notes":"Some notes here","pager":{"phone":"555-444-5555","email":"pager.email@example.com"},"percReportingEvent":50,"percReportingExercise":70,"percReportingIncident":30,"percRollingEvent":60,"percRollingExercise":80,"percRollingIncident":40,"permission":1,"deprecatedPermission":"MEMBER","position":"Manager","ref":"ABC123","retiredReason":{"id":null,"resourceType":"RetiredReason"},"role":{"id":7,"resourceType":"Role"},"signedTandC":"2026-07-03T06:46:50Z","status":"OPERATIONAL","customStatus":{"id":8,"resourceType":"CustomMemberStatus"},"teamAgreementSigned":"Agreement123","owner":{"id":1,"resourceType":"Team"},"updatedAt":"2026-07-03T06:46:50Z","weeklyDayOfWeek":1,"weeklyDayOfWeekUtc":2,"weeklyHourOfDay":2,"weeklyHourOfDayUtc":2,"weeklyMail":true,"work":{"phone":"555-777-8888"},"resourceType":"Member","deletedAt":null,"customFieldValues":[{"customField":{"id":1,"type":"NUMBER","owner":{"id":1,"resourceType":"Team"},"resourceType":"CustomField"},"value":"123.45"},{"customField":{"id":2,"type":"SINGLE_CHOICE","owner":{"id":1,"resourceType":"Team"},"resourceType":"CustomField"},"value":[666]},{"customField":{"id":3,"type":"MULTIPLE_CHOICE","owner":{"id":1,"resourceType":"Team"},"resourceType":"CustomField"},"value":[999,888]}]},"owner":{"resourceType":"Team","id":1},"repeat":{"every":{"interval":"WEEK","period":1},"until":"2026-07-03T06:46:50.987Z"},"resourceType":"Duty","createdAt":"2026-07-03T06:46:50.987Z","updatedAt":"2026-07-03T06:46:50.987Z"}],"page":0,"pageSize":1,"totalSize":1}}}}},"tags":["Duties"]}},"/v3/{context}/{contextId}/equipment-brands":{"get":{"summary":"Retrieve a list of equipment brands","description":"Retrieve a list of equipment brands <br></br>**Required modules:** equipment","parameters":[{"description":"The point of view from where the request takes place","in":"path","required":true,"name":"context","schema":{"type":["string"],"enum":["team","organisation","admin"],"description":"The point of view from where the request takes place"}},{"description":"Either a team, organisation or admin's id","in":"path","required":true,"name":"contextId","schema":{"type":["integer"],"minimum":1,"description":"Either a team, organisation or admin's id"}},{"description":"Page number","in":"query","name":"page","required":false,"schema":{"type":["integer"],"minimum":0,"description":"Page number"}},{"description":"Items per page","in":"query","name":"size","required":false,"schema":{"type":["integer"],"description":"Items per page"}},{"description":"A list of ids","in":"query","name":"id","required":false,"schema":{"oneOf":[{"type":["integer"]},{"type":["array"],"items":{"type":["integer"]}}],"description":"A list of ids"}},{"description":"A simple text search term, compared against the title","in":"query","name":"title","required":false,"schema":{"type":["string"],"maxLength":80,"description":"A simple text search term, compared against the title"}},{"description":"*Team context*: Exclude entities inherited from the team's org","in":"query","name":"exclude_org_data","required":false,"schema":{"default":false,"oneOf":[{"type":["boolean"]},{"type":["string"],"enum":["true","false","1","0",""]}],"description":"*Team context*: Exclude entities inherited from the team's org"}},{"description":"*Organisation context*: Exclude entities belonging to accessible teams","in":"query","name":"exclude_teams_data","required":false,"schema":{"default":false,"oneOf":[{"type":["boolean"]},{"type":["string"],"enum":["true","false","1","0",""]}],"description":"*Organisation context*: Exclude entities belonging to accessible teams"}},{"in":"query","name":"sort","required":false,"schema":{"default":"id","type":["string"],"enum":["createdAt","updatedAt","id","title"]}},{"in":"query","name":"order","required":false,"schema":{"default":"asc","type":["string"],"enum":["asc","desc"]}}],"security":[{"Unified":[]}],"responses":{"200":{"description":"A list of equipment brands","content":{"application/json":{"example":{"results":[{"createdAt":"2026-07-03T06:46:51Z","id":1,"owner":{"id":1,"resourceType":"Team"},"title":"A brand","resourceType":"EquipmentBrand","updatedAt":"2026-07-03T06:46:51Z"}],"page":0,"pageSize":1,"totalSize":1}}}}},"tags":["Equipment Brands"]},"post":{"summary":"Create an equipment brand","description":"Create an equipment brand <br></br>**Required modules:** equipment","parameters":[{"description":"The point of view from where the request takes place","in":"path","required":true,"name":"context","schema":{"type":["string"],"enum":["team","organisation","admin"],"description":"The point of view from where the request takes place"}},{"description":"Either a team, organisation or admin's id","in":"path","required":true,"name":"contextId","schema":{"type":["integer"],"minimum":1,"description":"Either a team, organisation or admin's id"}}],"requestBody":{"content":{"application/json":{"schema":{"type":["object"],"properties":{"title":{"type":["string"],"minLength":3,"maxLength":80,"description":"The brands's title"}},"required":["title"]}}}},"security":[{"Unified":[]}],"responses":{"200":{"description":"An equipment brand","content":{"application/json":{"example":{"createdAt":"2026-07-03T06:46:51Z","id":1,"owner":{"id":1,"resourceType":"Team"},"title":"A brand","resourceType":"EquipmentBrand","updatedAt":"2026-07-03T06:46:51Z
[...]
